Bug 855170 - Dracut needs to include nfs3, nfs4 modules
Dracut needs to include nfs3, nfs4 modules
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
:
: 854180 (view as bug list)
Depends On:
Blocks: F18Beta/F18BetaBlocker F18Betappc 869180
  Show dependency treegraph
 
Reported: 2012-09-06 17:17 EDT by Jesse Keating
Modified: 2013-01-09 22:36 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 869180 (view as bug list)
Environment:
Last Closed: 2012-09-17 19:29:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
console output of F18-TC6 showing broken NFS (25.85 KB, text/plain)
2012-09-07 01:41 EDT, Dr. Tilmann Bubeck
no flags Details

  None (edit)
Description Jesse Keating 2012-09-06 17:17:11 EDT
In 3.6 kernel all the different NFS protocols were broken up into separate kernel modules, so dracut will need to include the specific nfs2, nfs3, nfs4, and plain nfs modules in order for NFS mounting from dracut to work.

This has direct effect on Anaconda installs where stage2 comes from NFS.
Comment 1 Jesse Keating 2012-09-06 19:38:18 EDT
*** Bug 854180 has been marked as a duplicate of this bug. ***
Comment 2 Dr. Tilmann Bubeck 2012-09-07 01:41:39 EDT
Created attachment 610624 [details]
console output of F18-TC6 showing broken NFS

Attached find a console output of Fedora 18 TC6. It shows, that dracut and mount are unable to mount NFS from a working NFS server.

dracut:/# ping -c 1 10.2.1.1
PING 10.2.1.1 (10.2.1.1) 56(84) bytes of data.
64 bytes from 10.2.1.1: icmp_req=1 ttl=64 time=0.339 ms

--- 10.2.1.1 ping statistics ---
1 packets transmitted, 1 received, 0% packet loss, time 0ms
rtt min/avg/max/mdev = 0.339/0.339/0.339/0.000 ms
dracut:/# cat /proc/cmdline
initrd=fedora/18/x86_64/initrd.img inst.repo=nfsiso:10.2.1.1:/home/tmp/fedora/18/x86_64/iso/ selinux=0 BOOT_IMAGE=fedora/18/x86_64/vmlinuz
dracut:/# mkdir /tmp/aa
dracut:/# mount -t nfs 10.2.1.1:/home/tmp/fedora/18/x86_64/iso /tmp/aa
mount.nfs: Protocol not supported
dracut:/#
Comment 3 Dr. Tilmann Bubeck 2012-09-07 01:46:13 EDT
Proposing as Beta blocker:
" It must be possible to install by booting the installation kernel directly, including via PXE, and correctly specifying a remote source for the installer itself, using whichever protocols are required to work for package retrieval at the current phase (Alpha, Beta, Final). This must work if the remote source is not a complete repository but contains only the files necessary for the installer itself to run. "
https://fedoraproject.org/wiki/Fedora_18_Beta_Release_Criteria
Comment 4 Kamil Páral 2012-09-07 03:34:21 EDT
Jesse, please transfer the Blocks: field if you mark some bug as a duplicate, thanks. Doing it now.
Comment 5 Jesse Keating 2012-09-07 13:56:53 EDT
(In reply to comment #3)
> Proposing as Beta blocker:
> " It must be possible to install by booting the installation kernel
> directly, including via PXE, and correctly specifying a remote source for
> the installer itself, using whichever protocols are required to work for
> package retrieval at the current phase (Alpha, Beta, Final). This must work
> if the remote source is not a complete repository but contains only the
> files necessary for the installer itself to run. "
> https://fedoraproject.org/wiki/Fedora_18_Beta_Release_Criteria

Nit picky, but that criteria is not broken by this bug.  During the install you can still select an NFS source and have it mounted at that point.  This bug just prevents use of NFS as a stage2 source, which is independent of package install location.

I discovered that currently there is no release criteria for stage2 locations.  I already proposed this as a beta blocker (by blocking the F18Beta bug) on the premise that even though there is no criteria we can make a judgement call and decide that this is a blocker anyway.
Comment 6 Kamil Páral 2012-09-10 04:09:41 EDT
(In reply to comment #5)
That criterion was created to specifically cover stage2 download. "remote source for the installer itself" means remote location of the stage2 image.

There is a different criterion for remote location of the package repository.
Comment 7 Fedora Update System 2012-09-10 10:16:17 EDT
dracut-023-39.git20120910.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dracut-023-39.git20120910.fc18
Comment 8 Fedora Update System 2012-09-10 12:09:37 EDT
Package dracut-023-39.git20120910.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dracut-023-39.git20120910.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13731/dracut-023-39.git20120910.fc18
then log in and leave karma (feedback).
Comment 9 Dr. Tilmann Bubeck 2012-09-11 08:45:05 EDT
May be fixed in dracut-023-39.git20120910.fc18. But Fedora 18 Alpha RC2 still does not work with inst.repo=nfs.. (probably this new dracut was not used to build the included initramfs of RC2?).
Comment 10 Kamil Páral 2012-09-11 10:01:26 EDT
(In reply to comment #9)
This does not qualify for Alpha criteria, it's not proposed for Alpha -> will not be in Alpha.

It's true it would be nice to have this in Alpha, but the change might be considered risky. If somebody thinks it's worth it, add F18Alpha-accepted into Blocks field and we will discuss it.
Comment 11 Fedora Update System 2012-09-17 19:29:33 EDT
dracut-023-39.git20120910.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.